0 Replies Latest reply on May 2, 2011 7:37 AM by Chris Melas

    jbpm5 and birt 2.6.2

    Chris Melas Apprentice

      If anyone is interested on upgrading birt report runtime of jbpm5 to the current birt version which is birt 2.6.2, then it is necessary to do the following,

       

      1.replace all links in build.xml related to birt 2.3.2 / 2_3_2 with the corresponding birt 2.6.2 / 2_6_2 in order to use the installation process via ant , otherwise just place the necessary birt folders/files in jboss (i.e. jboss-5.1.0.GA/server/default/data/birt/ReportEngine,  jboss-5.1.0.GA/server/default/data/birt/overall_activity.rptdesign,  jboss-5.1.0.GA/server/default/data/birt/process_summary.rptdesign). Please note that the report files (overall_activity.rptdesign,process_summary.rptdesign) will have to be opened and saved with the birt 2.6.2 eclipse editor in order to get the 2.6.2 formating.

       

      2.replace the birt libraries in jbpm-gwt-console-server-5.1.0.M1.war : chartengineapi-2.3.2.jar, coreapi-2.3.2.jar, dataadapterapi-2.3.2.jar, dteapi-2.3.2.jar,engineapi-2.3.2.jar, modelapi-2.3.2.jar,scriptapi-2.3.2.jar with the ones found in birt 2.6.2 runtime. The corresponding jar libraries in 2.6.2 do not have the 2.6.2 suffix but it does not matter, however it's good practice to have it in order to know which version has been used.

       

      3. replace the js rhino library in jbpm-gwt-console-server-5.1.0.M1.war: js-1.6R2.jar with the js.jar inside rhino1_7R2.zip

       

      This procedure seems to do the job, however i would greatly appreciate if anyone could point out any side effects that occur due to the replacement of these libraries, thanks.